aubio 0.4.2~alpha

- Main Page
- Data Structures
- Files
- Examples

- File List
- Globals

Typedefs | Functions
filterbank.h File Reference

Filterbank object. More...

Go to the source code of this file.

## Typedefs
typedef struct _aubio_filterbank_t | aubio_filterbank_t
| filterbank object More...

## Functions
aubio_filterbank_t * | new_aubio_filterbank (uint_t n_filters, uint_t win_s)
| create filterbank object More...
void | del_aubio_filterbank (aubio_filterbank_t *f)
| destroy filterbank object More...
void | aubio_filterbank_do (aubio_filterbank_t *f, cvec_t *in, fvec_t *out)
| compute filterbank More...
fmat_t * | aubio_filterbank_get_coeffs (aubio_filterbank_t *f)
| return a pointer to the matrix object containing all filter coefficients More...
uint_t | aubio_filterbank_set_coeffs (aubio_filterbank_t *f, fmat_t *filters)
| copy filter coefficients to the filterbank More...

## Detailed Description

Filterbank object.

General-purpose spectral filterbank object.

Definition in file filterbank.h.

## Typedef Documentation

typedef struct _aubio_filterbank_t aubio_filterbank_t

filterbank object

This object stores a matrix of spectral filter coefficients.

Definition at line 45 of file filterbank.h.

## Function Documentation

void aubio_filterbank_do | ( | aubio_filterbank_t * | f,
|  | cvec_t * | in,
|  | fvec_t * | out
| ) |  |

compute filterbank

Parameters

  f | filterbank object, as returned by new_aubio_filterbank()
  in | input spectrum containing an input spectrum of length `win_s`
  out | output vector containing the energy found in each band, `nfilt` output values

Examples:
  spectral/test-filterbank.c, and spectral/test-filterbank_mel.c.

fmat_t* aubio_filterbank_get_coeffs | ( | aubio_filterbank_t * | f | ) |

return a pointer to the matrix object containing all filter coefficients

Parameters

  f | filterbank object, as returned by new_aubio_filterbank()

Examples:
  spectral/test-filterbank.c, and spectral/test-filterbank_mel.c.

uint_t aubio_filterbank_set_coeffs | ( | aubio_filterbank_t * | f,
|  | fmat_t * | filters
| ) |  |

copy filter coefficients to the filterbank

Parameters

  f | filterbank object, as returned by new_aubio_filterbank()
  filters | filter bank coefficients to copy from

Examples:
  spectral/test-filterbank.c.

void del_aubio_filterbank | ( | aubio_filterbank_t * | f | ) |

destroy filterbank object

Parameters

  f | filterbank object, as returned by new_aubio_filterbank()

Examples:
  spectral/test-filterbank.c, and spectral/test-filterbank_mel.c.

aubio_filterbank_t* new_aubio_filterbank | ( | uint_t | n_filters,
|  | uint_t | win_s
| ) |  |

create filterbank object

Parameters

  n_filters | number of filters to create
  win_s | size of analysis buffer (and length the FFT transform)

Examples:
  spectral/test-filterbank.c, and spectral/test-filterbank_mel.c.